precision highp float;
varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform float iGlobalTime;
uniform vec2 iResolution;

void main()
{
    vec4 color = texture2D(inputImageTexture, textureCoordinate);

    gl_FragColor = vec4(vec3(1.0) - color.rgb, 1.0);
}


