precision highp float;
varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform float iGlobalTime;

void main()
{
    vec2 p = textureCoordinate * 2. - vec2(1.);
    p.y = p.y * 16./9.;
	float f = fract(iGlobalTime);
    f = f * step(f, 0.75) * 2.677 * 3.14;
    //vec2 cst = vec2( cos(f), sin(f) );
    //mat2 rot = (1.0 - 0.5 * sin(f / 2.))*mat2(cst.x,-cst.y,cst.y,cst.x);

    vec2 rp = (1.0 - 0.6 * sin(f / 2.)) * p;
    rp.y = rp.y * 9./16.;
    gl_FragColor = texture2D(inputImageTexture, (rp + vec2(1.))*0.5);
}