precision mediump float; //指定默认精度

varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;

void main() {

    vec4 color1 = texture2D(inputImageTexture, textureCoordinate);
    vec4 color2 = texture2D(inputImageTexture2, textureCoordinate);

    //color1 = vec4(color1.r*0.299 + color1.g*0.587+ color1.b*0.114);

//    color1 = vec4(pow( pow(color1.r, 2.2)*0.2973 +
//                   pow(color1.g, 2.2)*0.6274 +
//                   pow(color1.b, 2.2)*0.0753 , 1./2.2));

    gl_FragColor = mix(color1, max(color1,  color2), .3);

}