precision highp float;
varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform float iGlobalTime;

void main()
{
    float c = ceil(mod(iGlobalTime * 2., 3.));
    vec2 uv = fract(textureCoordinate * c);

//    vec4[12] blendColors;
//    blendColors[0] = vec4(1., 0., 0., 0.);
//    blendColors[1] = vec4(1., 1., 0., 0.);
//    blendColors[2] = vec4(0., 1., 0., 0.);
//    blendColors[3] = vec4(0., 1., 1., 0.);
//    blendColors[4] = vec4(0., 0., 1., 0.);
//    blendColors[5] = vec4(1., 0.2, 0., 0.);
//    blendColors[6] = vec4(1., 0., 1., 0.);
//    blendColors[7] = vec4(0.4, 0., 1., 0.);
//    blendColors[8] = vec4(1., 0., .4, 0.);
//    blendColors[9] = vec4(1., 0.4, 0., 0.);
//    blendColors[10] = vec4(1., 0.6, 0., 0.);
//    blendColors[11] = vec4(0.6, 1., 0., 0.);
//
//    vec2 index = floor(textureCoordinate * c);
//    vec4 blendColor = blendColors[int(index.y * c + index.x)];
//
//    vec4 oriColor = texture2D(inputImageTexture, uv);
//    gl_FragColor =  mix(oriColor, blendColor * oriColor, 0.6);

    gl_FragColor = texture2D(inputImageTexture, uv);
}
